%global   debug_package %{nil}

Version:  1.28.1
%global   goipath github.com/hetznercloud/cli
%global   tag     v%{version}
%gometa

%global   gobuilddir %{_builddir}/$(basename %{goipath})-%{version}/_build

Name:     %{goname}
Release:  4%{?dist}
Summary:  Command-line interface for Hetzner Cloud (hcloud)

License:  MIT
URL:      %{gourl}
Source0:  %{gosource}
#         https://github.com/hetznercloud/cli/archive/v1.25.1.tar.gz#/cli-v1.25.1.tar.gz
Obsoletes: hcloud-cli


%description
hcloud is a command-line interface for interacting with Hetzner Cloud


%prep
%autosetup %{forgesetupargs}
install -m 0755 -vd %{gobuilddir}/bin %{gobuilddir}/src/$(dirname %{goipath})
ln -s "$(pwd)" %{gobuilddir}/src/%{goipath}


%build
export GO111MODULE=on
export GOPATH=$(pwd)/_build:%{gopath}
LDFLAGS="-w -X %{goipath}/internal/version.Version=%{version}"
for cmd in ./cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) $cmd
done


%install
rm -rf $RPM_BUILD_ROOT
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/


%files
%defattr(-,root,root,-)
%license LICENSE
%doc README.md CHANGES.md
%{_bindir}/hcloud


%changelog
* Wed Nov 03 2021 sheePackager <packager@shee.org> - 1.28.1-4
- Add gopath loop to internal packages

* Wed Nov 03 2021 sheePackager <packager@shee.org> - 1.28.1-1
- Update to 1.28.1

* Tue Nov 02 2021 sheePackager <packager@shee.org> - 1.25.1-2
- Build via go rpm macros

* Sat Jul 31 2021 sheePackager <packager@shee.org> - 1.25.1-1
- Initial package
